<?php

namespace App\Distributor\Controllers;

use App\distributor\Repositories\DistVideoCategory;
use Dcat\Admin\Form;
use Dcat\Admin\Grid;
use Dcat\Admin\Show;
use Dcat\Admin\Http\Controllers\AdminController;
use Dcat\Admin\Layout\Content;
use Dcat\Admin\Admin;

class DistVideoCategoryController extends AdminController
{
    /**
     * page index
     */
    public function index(Content $content)
    {
        return $content
            ->header(admin_trans('admin.video_category'))
            ->description(admin_trans('admin.all'))
            ->breadcrumb(['text'=>'Video Category','url'=>''])
            ->body($this->grid());
    }

    /**
     * Make a grid builder.
     *
     * @return Grid
     */
    protected function grid()
    {

        return Grid::make(new DistVideoCategory(), function (Grid $grid) {
            $grid->column('id')->sortable();
            $grid->column('name')->tree(true,true);
            $grid->column('parent_id');
            $grid->column('order')->orderable();
            $grid->column('enabled')->switch();
            $grid->column('created_at');
            $grid->column('updated_at')->sortable();
            $grid->quickSearch('name');
            //按钮
            $grid->disableViewButton();
            $grid->showQuickEditButton();
            $grid->enableDialogCreate();
            $grid->disableEditButton();
        });
    }

    /**
     * Make a form builder.
     *
     * @return Form
     */
    protected function form()
    {
        return Form::make(new DistVideoCategory(), function (Form $form) {
            $form->display('id');
            $form->text('name');
            $form->select('parent_id', admin_trans_field('parent'))
                ->options(DistVideoCategory::selectOptions())
                ->saving(function ($v) {
                    return (int) $v;
                });
            $form->switch('enabled')->default(1);
        });
    }
}
