<?php

namespace App\Models;

use Dcat\Admin\Traits\HasDateTimeFormatter;
use App\Traits\SortableTraitPinned;
use Illuminate\Database\Eloquent\Model;

class DistProduct extends Model
{
	use HasDateTimeFormatter;
    use SortableTraitPinned;
    protected $table = 'dist_product';

    // 可选：你可以在这里自定义排序配置
    public $sortable = [
        'order_column_name' => 'order',  // 排序字段
        'sort_when_creating' => true,    // 创建时自动排序
    ];

    protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
        'parameters' => 'json', // 将 attributes 字段转换为数组
    ];

    public function distProductCategory()
    {
        return $this->hasOne(DistProductCategory::class,'id','category_id');
    }

    // 一对多关联
    public function images()
    {
        return $this->hasMany(DistProductImage::class, 'product_id');
    }

}
